import React from 'react';
import { AlignCenterOutlined, AlignLeftOutlined, AlignRightOutlined, BoldOutlined, HeadingOneOutlined, HeadingTwoOutlined, ItalicOutlined, OrderedListOutlined, UnderlineOutlined, UnorderedListOutlined } from '@parallel-line/icons';
import { MarkButton } from './MarkButton';
import { BlockButton } from './BlockButton';
import { FontColorButton } from './FontColorButton';
import { TextAlignButton } from './TextAlignButton';
export function ToolBar(props) {
  var className = props.className,
      disabled = props.disabled,
      buttonPrefixCls = props.buttonPrefixCls;
  return /*#__PURE__*/React.createElement("div", {
    className: className
  }, /*#__PURE__*/React.createElement(MarkButton, {
    disabled: disabled,
    prefixCls: buttonPrefixCls,
    format: "bold",
    title: "\u7C97\u4F53 \u2318+b",
    icon: /*#__PURE__*/React.createElement(BoldOutlined, null)
  }), /*#__PURE__*/React.createElement(MarkButton, {
    disabled: disabled,
    prefixCls: buttonPrefixCls,
    format: "italic",
    title: "\u659C\u4F53 \u2318+i",
    icon: /*#__PURE__*/React.createElement(ItalicOutlined, null)
  }), /*#__PURE__*/React.createElement(MarkButton, {
    disabled: disabled,
    prefixCls: buttonPrefixCls,
    format: "underline",
    title: "\u4E0B\u5212\u7EBF \u2318+u",
    icon: /*#__PURE__*/React.createElement(UnderlineOutlined, null)
  }), /*#__PURE__*/React.createElement(FontColorButton, {
    disabled: disabled,
    prefixCls: buttonPrefixCls
  }), /*#__PURE__*/React.createElement(BlockButton, {
    disabled: disabled,
    prefixCls: buttonPrefixCls,
    format: "heading-one",
    title: "\u6807\u98981",
    icon: /*#__PURE__*/React.createElement(HeadingOneOutlined, null)
  }), /*#__PURE__*/React.createElement(BlockButton, {
    disabled: disabled,
    prefixCls: buttonPrefixCls,
    format: "heading-two",
    title: "\u6807\u98982",
    icon: /*#__PURE__*/React.createElement(HeadingTwoOutlined, null)
  }), /*#__PURE__*/React.createElement(BlockButton, {
    disabled: disabled,
    prefixCls: buttonPrefixCls,
    format: "bulleted-list",
    title: "\u65E0\u5E8F\u5217\u8868",
    icon: /*#__PURE__*/React.createElement(UnorderedListOutlined, null)
  }), /*#__PURE__*/React.createElement(BlockButton, {
    disabled: disabled,
    prefixCls: buttonPrefixCls,
    format: "numbered-list",
    title: "\u6709\u5E8F\u5217\u8868",
    icon: /*#__PURE__*/React.createElement(OrderedListOutlined, null)
  }), /*#__PURE__*/React.createElement(TextAlignButton, {
    disabled: disabled,
    prefixCls: buttonPrefixCls,
    format: "left",
    title: "\u5DE6\u5BF9\u9F50",
    icon: /*#__PURE__*/React.createElement(AlignLeftOutlined, null)
  }), /*#__PURE__*/React.createElement(TextAlignButton, {
    disabled: disabled,
    prefixCls: buttonPrefixCls,
    format: "center",
    title: "\u5C45\u4E2D\u5BF9\u9F50",
    icon: /*#__PURE__*/React.createElement(AlignCenterOutlined, null)
  }), /*#__PURE__*/React.createElement(TextAlignButton, {
    disabled: disabled,
    prefixCls: buttonPrefixCls,
    format: "right",
    title: "\u53F3\u5BF9\u9F50",
    icon: /*#__PURE__*/React.createElement(AlignRightOutlined, null)
  }));
}